/*
 * Copyright (c) 2000 Southeastern Universities Research Association,
 *                    Continuous Electron Beam Accelerator Facility
 *
 * This software was developed under a United States Government license
 * described in the NOTICE file included as part of this distribution.
 *
 *
 *  Revision History:
 *  03/10/00:  Release version 0.1.
 *  04/20/00:  Release version 0.2. (no change)
 *  08/07/00:  Release version 0.4 (change interface to public)
 *
 */

package adm;

/**
 * Interface for all adm components.  This signature is used
 * by some components to detect other cdev enabled components.
 *
 *
 * @version   0.2  04/17/00
 * @author    Ying Chen, Chip Watson
 *            (Based on work by Cuong Quach and Mr. John Winans)
 * @since     adm0.1
 *
 */
public interface CInterface {
    
    public void setDeviceName(String name);
    public String getDeviceName();
    
    public void setPropertyName(String name);
    public String getPropertyName();
}
