/*
 * Copyright (c) 2000 Southeastern Universities Research Association,
 *                    Continuous Electron Beam Accelerator Facility
 *
 * This software was developed under a United States Government license
 * described in the NOTICE file included as part of this distribution.
 *
 *  Revision History:
 *  09/12/00:  Release version 0.4.
 *
 */

package adm;

import java.beans.*;

/**
 * BeanInfo for CToggleButton
 *
 * @version   0.4  09/12/00
 * @author    Ying Chen, Chip Watson
 * @since     adm0.4
 *
 */
public class CToggleButtonBeanInfo extends SimpleBeanInfo {
    
    private final static Class BEAN_CLASS = CToggleButton.class;

    public BeanInfo[] getAdditionalBeanInfo() {
        try {
            java.util.Vector v = new java.util.Vector();
            BeanInfo[] rv;
            BeanInfo b;
            Class c = BEAN_CLASS.getSuperclass();
            
            while (c.isAssignableFrom(Object.class) != true) {
                b = Introspector.getBeanInfo(c);
                v.addElement(b);
                c = c.getSuperclass();
            }
            rv = new BeanInfo[v.size()];
            v.copyInto(rv);
            
            return rv;
        }
        catch (IntrospectionException e) { throw new Error(e.toString());}
    }
    
    public BeanDescriptor getBeanDescriptor() {
	BeanDescriptor bd = new BeanDescriptor(BEAN_CLASS);
	return (BeanDescriptor) bd;
    }

    public java.awt.Image getIcon(int iconKind) {
	java.awt.Image img;
	if (iconKind == BeanInfo.ICON_MONO_16x16 ||
	    iconKind == BeanInfo.ICON_COLOR_16x16) {
	    img = loadImage("CToggleButtonC16.gif");
	}	
	else if (iconKind == BeanInfo.ICON_MONO_32x32 ||
	    iconKind == BeanInfo.ICON_COLOR_32x32) {
	    img = loadImage("CToggleButtonC32.gif");
	}
	else { img = null; }
	return img;
	}
    
    public PropertyDescriptor[] getPropertyDescriptors() {
	try {
            PropertyDescriptor stacking = 
                new PropertyDescriptor("stacking", BEAN_CLASS);
            stacking.setBound(true);
            stacking.setConstrained(false);
            stacking.setDisplayName("stacking");
            stacking.setValue("ENUMERATION", "COLUMN=0, ROW=1");
            PropertyDescriptor[] rv = { stacking };
            return rv;
        } catch (IntrospectionException e) { throw new Error(e.toString()); }
    }
    
    public int getDefaultPropertyIndex() {
	return 0;	//  the index for our default property is always 0
    }
    
}  // end of class CToggleButtonBeanInfo



