//---------------------------------------------------------------------------
// Copyright (c) 2000 Southeastern Universities Research Association,
//                    Continuous Electron Beam Accelerator Facility
//
// This software was developed under a United States Government license
// described in the NOTICE file included as part of this distribution.
//---------------------------------------------------------------------------
//
// Author: Ying Chen
//
//---------------------------------------------------------------------------
//  Revision History:
//  03/10/00:  Release version 0.1.
//
//
//
//---------------------------------------------------------------------------

import java.awt.*;
import adm.*;

/**
 * A CSlider demo program. 
 * The CSlider, SBits and CMeter are connected to the same device. 
 * The change will be shown on the meter and bits widgets when
 * the user adjust the value using the slider.
 */ 
public class SliderDemo extends CApplication {

    static int DEFAULT_PORT=9199;

    public static void main (String [] args) {
	
	int port = DEFAULT_PORT;
	String host = null;
	if (args.length == 2) {
	    host = args[0];
	    port = Integer.parseInt(args[1]);
	} else {
	    System.out.println("syntax: java SliderDemo host port");
	    System.exit(-1);
	}
	Frame f = new SliderDemo(host, port);
	f.setSize(350, 300);
	f.show();	
    }


    public SliderDemo(String host, int port) {
	super(host, port, "CSlider widget demo");

	Panel  content = new Panel();
	content.setBackground(Color.white);
	content.setLayout(new FlowLayout(FlowLayout.CENTER, 10, 20));

	//--- add a CMeter -----------------------
	CMeter M = new CMeter();
	M.setSize(180, 150);
	M.setDeviceName("R122");
	M.setPropertyName("int");
	M.setForeground(Color.white);
	M.setFrameWidth(4);
	M.setLabelStyle(CConstants.LABEL_ALL);
	M.setColorMode(CConstants.CLRMOD_ALARM);
	content.add(M);

	//--- add a CBits -----------------------
	CBits B = new CBits("R122", "int");
	B.setSize(50, 150);
	//B.setDeviceName("R122");
	//B.setPropertyName("int");
	//B.setBackground(Color.gray);
	//B.setForeground(Color.green);
	B.setDisplayBits(2, 10);
	B.setFrameWidth(3);
	B.setDirection(CConstants.DIR_DOWN);
	B.setLabelStyle(CConstants.LABEL_ALL);
	B.setControllable(true);	
	content.add(B);

	
	//--- add a CSlider ----------------------
	CSlider S = new CSlider(180, 60);
	S.setDeviceName("R122");
	S.setPropertyName("int");
	S.setBackground(Color.pink);
	S.setForeground(Color.black);
	S.setLabelStyle(CConstants.LABEL_ALL);
	S.setOrientation(CConstants.HORIZONTAL);
	content.add(S);
       
	add(content);
	}

}

		
	




