//  Description:
//      Java implementation of cdevDataEntry class.
//
//  Issues:
//	For java arrays, which is the "first" dimension? 
//
//  Author: Chip Watson 
//  Modified: M.C

package cdev.data;

import java.text.NumberFormat;

class FloatConvertor implements DataConvertor {
  FloatConvertor () {}

  public byte byteValue(Object data) {return (byte)((float [])data)[0];}
  public short shortValue(Object data) {return (short)((float [])data)[0];}
  public int intValue(Object data) {return (int)((float [])data)[0];}
  public long longValue(Object data) {return (long)((float [])data)[0];}
  public float floatValue(Object data) {return (float)((float [])data)[0];}
  public double doubleValue(Object data) {return (double)((float [])data)[0];}

  public String stringValue(Object data) {
    NumberFormat nf = NumberFormat.getNumberInstance();
    nf.setMaximumFractionDigits(3);
    //System.out.println(nf);
    return nf.format(((float [])data)[0]);
  }

  public byte[] byteArray(Object data) {
    float [] source = (float []) data;
    byte [] result = new byte[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (byte) source[i];
    }
    return result;
  }

  public short[] shortArray(Object data) {
    float [] source = (float []) data;
    short [] result = new short[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (short) source[i];
    }
    return result;
  }
  public int[] intArray(Object data) {
    float [] source = (float []) data;
    int [] result = new int[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (int) source[i];
    }
    return result;
  }

  public long[] longArray(Object data) {
    float [] source = (float []) data;
    long [] result = new long[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (long) source[i];
    }
    return result;
  }

  public float[] floatArray(Object data) {return (float [])data;}
  
  public double[] doubleArray(Object data) {
    float [] source = (float []) data;
    double [] result = new double[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (double) source[i];
    }
    return result;
  }

  public String[] stringArray(Object data) {
    float [] source = (float []) data;
    String [] result = new String[source.length];
    NumberFormat nf = NumberFormat.getNumberInstance();
    nf.setMaximumFractionDigits(3);
    for (int i=0;i<result.length;i++) {
      result[i] = nf.format(source[i]);
    }
    return result;
  }
}

