//  Description:
//      Convertor class for arrays of integers
//
//  Author: Chip Watson

package cdev.data;

/*
 * A class for converting integer arrays to arrays or scalars of any
 * other type. Scalars conversions use the first element of the array.
 */
final class IntConvertor implements DataConvertor {
  IntConvertor () {}

  // Scalar conversion (use first element of array)

  public byte byteValue(Object data) {return (byte)((int [])data)[0];}
  public short shortValue(Object data) {return (short)((int [])data)[0];}
  public int intValue(Object data) {return (int)((int [])data)[0];}
  public long longValue(Object data) {return (long)((int [])data)[0];}
  public float floatValue(Object data) {return (float)((int [])data)[0];}
  public double doubleValue(Object data) {return (double)((int [])data)[0];}
  public String stringValue(Object data) {
    return String.valueOf(((int [])data)[0]); }

  // Array conversion

  public byte[] byteArray(Object data) {
    int [] source = (int []) data;
    byte [] result = new byte[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (byte) source[i];
    }
    return result;
  }
  public short[] shortArray(Object data) {
    int [] source = (int []) data;
    short [] result = new short[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (short) source[i];
    }
    return result;
  }
  public int[] intArray(Object data) {return (int [])data;}
  public long[] longArray(Object data) {
    int [] source = (int []) data;
    long [] result = new long[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (long) source[i];
    }
    return result;
  }
  public float[] floatArray(Object data) {
    int [] source = (int []) data;
    float [] result = new float[source.length];
    int jmax = source.length / 8;
    int i=0;
    for (int j=0;j<jmax;j++) {
      result[i] = (float) source[i];
      i++;
      result[i] = (float) source[i];
      i++;
      result[i] = (float) source[i];
      i++;
      result[i] = (float) source[i];
      i++;
      result[i] = (float) source[i];
      i++;
      result[i] = (float) source[i];
      i++;
      result[i] = (float) source[i];
      i++;
      result[i] = (float) source[i];
      i++;
    }
    for (;i<result.length;i++) {
      result[i] = (float) source[i];
    }
    return result;
  }
  public double[] doubleArray(Object data) {
    int [] source = (int []) data;
    double [] result = new double[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (double) source[i];
    }
    return result;
  }
  public String[] stringArray(Object data) {
    int [] source = (int []) data;
    String [] result = new String[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = String.valueOf(source[i]);
    }
    return result;
  }
}

