package cdev.dir;

/**
 * The database is down or is not accessible or the connection is broken.
 *
 * The directory service should try to repair this automatically. When that
 * fails, the directory service should pop up some panel that enables the
 * operator to do manual repair. Only when this also fails should this
 * exception be raised for the client program.
 *
 * This means that the client program may occasionally wait a long time
 * for a response. If this is intolerable, do the directory service call
 * in a separate thread.
 *
 * When this exception is raised in a client program, the program should act
 * appropriately, but in no case should it try to repair the fault by
 * itself: his would probably fail also and could interfere with similar
 * actions by other client programs.
 *
 * @author   J.Cuperus
 * @version  1.0
 */
public class BadConnectionException extends DataNotFoundException {
  public BadConnectionException() { };
  public BadConnectionException(String message) { super(message); };
}
