package cdev.dir;

/**
 * The requested data could not be found.
 * Either your query parameters are wrong or the requested data are missing
 * in the database or the database is not accessible.
 *
 * If the client program is not interested in the details of the failure, it
 * is sufficient to catch this exception only. If you are specifically
 * interested in one of the detailed exceptions, you should catch these
 * before before, or instead, of the general DataNotFoundException.
 *
 * @author   J.Cuperus
 * @version  1.0
 *
 * see BadConnectionException
 * see BadQueryException
 * see TooManyValuesException
 * see NoSuchDataException
 */
public class DataNotFoundException extends Exception {
  public DataNotFoundException() { };
  public DataNotFoundException(String message) { super(message); };
}
